function alpha = e_step(X, f, b, sigma, Pd, m)
%
%  given the current esitmate of the parameters, for each image Xk,
%  esitmate the  posterior of the displacement of the villain's
%  face given image Xk. 
%
%  Input parameters:
%
%   X       H x W x N matrix, N images that contain the villain
%   f       H x w matrix, estimate of villain's face
%   b       1 x 1 double, estimate of background
%   sigma   1 x 1 sigma, estimate of VARIANCE of Gaussian noise
%   Pd      W-w+1 x 1 vector, prior on displacement of
%               villain's face
%   m       use first m images for estimation
% 
% Output parameters:
%   alpha ... W-w+1 x m, posterior of displacement of villain's face
%                  given image Xk. This is a column stochastic array.
w = 36;
H = size(X,1);
W = size(X,2);
dmax = W-w+1;

% preallocate space for posterior of displacements and background 

% iterate over all images
for k = 1:m
    % iterate over all possible displacements
    for d = 1:dmax
    end
end
